import Vue from 'vue'
import App from './App.vue'
import animated from 'animate.css'
import { Login, redirect } from './util/initial'

import Questionnaire from './components/Questionnaire'
import Loading from './components/Questionnaire/Loading.vue';
import router from './router/index'//路由
import store from './store';//状态管理
import {
  Cell, CellGroup,
  Icon,
  Notify,
  Form,
  Tabbar,
  TabbarItem,
  Button,
  Field,
  Toast,
  Card,
  NavBar,
  Image, SwipeItem, Tag, Swipe, Divider, Picker, Popup, List,ImagePreview 
} from 'vant';
Vue.config.productionTip = false

Vue.use(Popup);
// Vue.use(parseTime);
Vue.use(Picker);
Vue.use(List);
Vue.use(Divider);
Vue.use(Swipe);
Vue.use(Tag);
Vue.use(ImagePreview);
Vue.use(NavBar);
Vue.use(SwipeItem);
Vue.use(Image);
Vue.use(Toast);
Vue.use(Card);
Vue.use(Form);
Vue.use(Field);
Vue.use(Cell);
Vue.use(CellGroup);
Vue.use(Notify);
Vue.use(Tabbar).use(TabbarItem);
Vue.use(Button);
Vue.use(Icon);
Vue.component('v-loading', Loading);
Vue.use(Questionnaire)
Vue.use(animated)

// Vue.use(Tabbar);
// Vue.use(TabbarItem);
redirect()

Login().then(e => {


  new Vue({
    router,
    store,
    render: h => h(App),
  }).$mount('#app')

})



